<?php
// Exit.
if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}

// Create TCA column.
$externeditColumns = array(
    'discounts' => array(
        'exclude' => 1,
        'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:fe_groups.discounts',
        'config' => array(
            'type' => 'select',
            'renderType' => 'selectMultipleSideBySide',
            'foreign_table' => 'tx_ricoproducts_domain_model_discount',
            'foreign_table_where' => 'AND sys_language_uid=0',
            'MM' => 'fe_groups_discount_mm',
            'size' => 10,
            'autoSizeMax' => 30,
            'maxitems' => 9999,
            'multiple' => 0,
            'wizards' => array(
                '_PADDING' => 1,
                '_VERTICAL' => 1,
                'edit' => array(
                    'module' => array(
                        'name' => 'wizard_edit',
                    ),
                    'type' => 'popup',
                    'title' => 'Edit',
                    'icon' => 'edit2.gif',
                    'popup_onlyOpenIfSelected' => 1,
                    'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
                    ),
                'add' => Array(
                    'module' => array(
                        'name' => 'wizard_add',
                    ),
                    'type' => 'script',
                    'title' => 'Create new',
                    'icon' => 'add.gif',
                    'params' => array(
                        'table' => 'tx_ricoproducts_domain_model_discount',
                        'pid' => '###CURRENT_PID###',
                        'setValue' => 'prepend'
                    ),
                ),
            ),
        ),
    ),
);

// Add TCA columns.
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('fe_groups', $externeditColumns, 1);

// Add TCA columns to types
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('fe_groups', 'discounts', '', 'after:title');