<?php
/***************************************************************
  *  Copyright notice
  *
  *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
  *      Created on: 27.06.2017 09:58
  *
  *  All rights reserved
  *
  *  This script is part of the TYPO3 project. The TYPO3 project is
  *  free software; you can redistribute it and/or modify
  *
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 3 of the License, or
  *  (at your option) any later version.
  *
  *  The GNU General Public License can be found at
  *  http://www.gnu.org/copyleft/gpl.html.
  *
  *  This script is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
  *
  *  This copyright notice MUST APPEAR in all copies of the script!
  ***************************************************************/

if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}

call_user_func(
    function ($_EXTKEY) {
        /**
         * Register products plugin.
         */
        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
            'Riconet.'.$_EXTKEY,
            'Products',
            'Products'
        );

        /**
         * Add products flex form.
         */
        $pluginSignature = str_replace('_', '', $_EXTKEY).'_products';
        $GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
            $pluginSignature,
            'FILE:EXT:'.$_EXTKEY.'/Configuration/FlexForms/Products.xml'
        );
    }, 'rico_products'
);
