<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
 *      Created on: 18.12.17 10:14
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}

call_user_func(
    function ($extensionKey) {
        // Table.
        $table = "tx_kesearch_indexerconfig";
        // Add key of default hook
        $GLOBALS['TCA'][$table]['columns']['sysfolder']['displayCond'] .=
            ','.\Riconet\RicoProducts\Hooks\KeSearch\DefaultHook::KEY;
        // Add key of no show view hook
        $GLOBALS['TCA'][$table]['columns']['sysfolder']['displayCond'] .=
            ','.\Riconet\RicoProducts\Hooks\KeSearch\NoShowViewHook::KEY;
    },
    'rico_products'
);
